# Queue Job Web Notify

This module extends the mail notification feature of Queue Job. It adds the possibility to enable the web notification of failed jobs. When enabled, the user will be notified by a web notification. The web notification is a pop-up message that appears in the user’s browser.

Table of contents

- Use Cases / Context
- Configuration
- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Use Cases / Context

The notification feature of this module allows the user to get a immediate feedback about the status of the job.

# Configuration

To configure this module, you need to:

- Go to the list of queue job functions
- Enable the web notify feature

# Usage

To only usage of this module is its configuration:

- Go to the list of queue job functions
- Enable the web notify feature

# Known issues / Roadmap

- other notification contexts could be added (job started, job finished, job canceled, etc.)

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Thomas Binsfeld thomas.binsfeld@acsone.eu (https://www.acsone.eu/)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/queue project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.